---

- name: Verify data
  ansible.builtin.assert:
    that:
      - workspace_name|length > 0
      - dns_resolvers|length > 0

- name: Deploy Nginx Plus license
  ansible.builtin.include_tasks: license.yml

- name: Setup APT repository for Nginx Plus
  ansible.builtin.include_tasks: repository.yml

- name: Install RPS components
  ansible.builtin.include_tasks: install.yml

- name: Configure RPS components
  ansible.builtin.include_tasks: config.yml

- name: Deploy certificates
  ansible.builtin.include_tasks: certs.yml
